<template>
    <div class="btn-wrap bg-full-white txt-night br20 hover-secondary-light"
        @click.prevent="state.show2 = !state.show2">
        <div class="icon-case">
            <lang-icon size="icon-20"/>
        </div>
    </div>
    <transition name="slide-fade">
        <div class="over-list bg-night-light br10" v-if="state.show2 === true">
            <template v-for="item in list" :key="item.list">
                <div class="item-case centered txt-full-white hover-prime-light br10"
                @click.prevent="changeLang(item.lang)">
                    {{ item.name }}
                </div>
            </template>
        </div>
    </transition>
</template>

<script setup lang="ts">
import { reactive } from 'vue';
import langStore from '../store/langStore';
import LangIcon from './icons/LangIcon.vue';

const state = reactive({
    show2: false
})

const { setLang } = langStore;

function changeLang(s: string) {
    setLang(s);
    state.show2 = state.show2 = false;
}
const list = [
    {id: 1, name: 'Français', lang: 'fr'},
    {id: 2, name: 'English', lang: 'en'},
]
</script>

<style scoped>
.over-list {
    margin: 0;
    position: absolute;
    top: 64px;
    width: 150px;
    box-shadow: 2px 2px 5px #2525257e;
}
.item-case {
    margin: 0;
    width: 100%;
    height: 40px;
    cursor: pointer
}
@media (max-width: 1023px) {
    .over-list {
    margin: 0;
    position: absolute;
    top: 64px;
    right: -12px;
    width: 150px;
}
}
</style>